Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.communication
Interface I_PlayFieldConstants

All Known Implementing Classes:
  C_Arena, C_GameObject, C_GLength, C_Goody, C_GPoints, C_GSpeed, C_Snake, C_World, D_Level, D_PlayerData, M_GameEngine, M_Main

    public interface I_PlayFieldConstants

An interface for interpretation of the character of the playfield

Version:
  $Revision: 1.12 $
Author:
  roland
See Also:
  `D_Level`, `C_Arena`, `de.farafin.snEADy.player`

Field Summary
`static char` | `EXIT` field
`static char` | `FIELD_B` field
`static char` | `FIELD_C` field
`static char` | `FIELD_D` field
`static char` | `FIELD_E` field
`static char` | `FIELD_F` field
`static char` | `FIELD_G` field
`static char` | `FIELD_H` field
`static char` | `FIELD_I` field
`static char` | `FIELD_J` field
`static char` | `FIELD_K` field
`static char` | `FIELD_L` field
`static char` | `FIELD_M` field
`static char` | `FIELD_N` field
`static char` | `FIELD_O` field
`static char` | `FIELD_P` field
`static char` | `FIELD_Q` field
`static char` | `FIELD_R` field
`static char` | `FIELD_S` field
`static char` | `FIELD_T` field
`static char` | `FIELD_U` field
`static char` | `FIELD_V` field
`static char` | `FIELD_W` field
`static char` | `FIELD_X` field
`static char` | `FIELD_Y` field
`static char` | `FIELD_Z` field
`static char` | `FREE` free field
`static char` | `GOODY_f` goody
`static char` | `GOODY_g` goody
`static char` | `GOODY_h` goody
`static char` | `GOODY_i` goody
`static char` | `GOODY_j` goody
`static char` | `GOODY_k` goody
`static char` | `GOODY_l` goody
`static char` | `GOODY_LAST` end of goodies
`static char` | `GOODY_m` goody
`static char` | `GOODY_n` goody
`static char` | `GOODY_o` goody
`static char` | `GOODY_p` goody
`static char` | `GOODY_q` goody
`static char` | `GOODY_r` goody
`static char` | `GOODY_s` goody
`static char` | `GOODY_START` start of goodies
`static char` | `GOODY_t` goody
`static char` | `GOODY_u` goody
`static char` | `GOODY_v` goody
`static char` | `GOODY_w` goody
`static char` | `GOODY_x` goody
`static char` | `GOODY_y` goody
`static char` | `GOODY_z` goody
`static char` | `LENGTH` speed goody
`static char` | `PLAYER_0` player 0
`static char` | `PLAYER_1` player 1
`static char` | `PLAYER_2` player 2
`static char` | `PLAYER_3` player 3
`static char` | `PLAYER_4` player 4
`static char` | `PLAYER_5` player 5
`static char` | `PLAYER_6` player 6
`static char` | `PLAYER_7` player 7
`static char` | `PLAYER_8` player 8
`static char` | `PLAYER_9` player 9
`static char` | `POINTS` points goody
`static char` | `SHORT` goody
`static char` | `SLOW` goody
`static char` | `SPEED` length goody
`static char` | `WALL` blocked field

Field Detail

### FREE

    static final char FREE

  free field

  See Also:
    Constant Field Values

### WALL

    static final char WALL

  blocked field

  See Also:
    Constant Field Values

### PLAYER_0

    static final char PLAYER_0

  player 0

  See Also:
    Constant Field Values

### PLAYER_1

    static final char PLAYER_1

  player 1

  See Also:
    Constant Field Values

### PLAYER_2

    static final char PLAYER_2

  player 2

  See Also:
    Constant Field Values

### PLAYER_3

    static final char PLAYER_3

  player 3

  See Also:
    Constant Field Values

### PLAYER_4

    static final char PLAYER_4

  player 4

  See Also:
    Constant Field Values

### PLAYER_5

    static final char PLAYER_5

  player 5

  See Also:
    Constant Field Values

### PLAYER_6

    static final char PLAYER_6

  player 6

  See Also:
    Constant Field Values

### PLAYER_7

    static final char PLAYER_7

  player 7

  See Also:
    Constant Field Values

### PLAYER_8

    static final char PLAYER_8

  player 8

  See Also:
    Constant Field Values

### PLAYER_9

    static final char PLAYER_9

  player 9

  See Also:
    Constant Field Values

### GOODY_START

    static final char GOODY_START

  start of goodies

  See Also:
    Constant Field Values

### LENGTH

    static final char LENGTH

  speed goody

  See Also:
    Constant Field Values

### SPEED

    static final char SPEED

  length goody

  See Also:
    Constant Field Values

### POINTS

    static final char POINTS

  points goody

  See Also:
    Constant Field Values

### SLOW

    static final char SLOW

  goody

  See Also:
    Constant Field Values

### SHORT

    static final char SHORT

  goody

  See Also:
    Constant Field Values

### GOODY_f

    static final char GOODY_f

  goody

  See Also:
    Constant Field Values

### GOODY_g

    static final char GOODY_g

  goody

  See Also:
    Constant Field Values

### GOODY_h

    static final char GOODY_h

  goody

  See Also:
    Constant Field Values

### GOODY_i

    static final char GOODY_i

  goody

  See Also:
    Constant Field Values

### GOODY_j

    static final char GOODY_j

  goody

  See Also:
    Constant Field Values

### GOODY_k

    static final char GOODY_k

  goody

  See Also:
    Constant Field Values

### GOODY_l

    static final char GOODY_l

  goody

  See Also:
    Constant Field Values

### GOODY_m

    static final char GOODY_m

  goody

  See Also:
    Constant Field Values

### GOODY_n

    static final char GOODY_n

  goody

  See Also:
    Constant Field Values

### GOODY_o

    static final char GOODY_o

  goody

  See Also:
    Constant Field Values

### GOODY_p

    static final char GOODY_p

  goody

  See Also:
    Constant Field Values

### GOODY_q

    static final char GOODY_q

  goody

  See Also:
    Constant Field Values

### GOODY_r

    static final char GOODY_r

  goody

  See Also:
    Constant Field Values

### GOODY_s

    static final char GOODY_s

  goody

  See Also:
    Constant Field Values

### GOODY_t

    static final char GOODY_t

  goody

  See Also:
    Constant Field Values

### GOODY_u

    static final char GOODY_u

  goody

  See Also:
    Constant Field Values

### GOODY_v

    static final char GOODY_v

  goody

  See Also:
    Constant Field Values

### GOODY_w

    static final char GOODY_w

  goody

  See Also:
    Constant Field Values

### GOODY_x

    static final char GOODY_x

  goody

  See Also:
    Constant Field Values

### GOODY_y

    static final char GOODY_y

  goody

  See Also:
    Constant Field Values

### GOODY_z

    static final char GOODY_z

  goody

  See Also:
    Constant Field Values

### GOODY_LAST

    static final char GOODY_LAST

  end of goodies

  See Also:
    Constant Field Values

### EXIT

    static final char EXIT

  field

  See Also:
    Constant Field Values

### FIELD_B

    static final char FIELD_B

  field

  See Also:
    Constant Field Values

### FIELD_C

    static final char FIELD_C

  field

  See Also:
    Constant Field Values

### FIELD_D

    static final char FIELD_D

  field

  See Also:
    Constant Field Values

### FIELD_E

    static final char FIELD_E

  field

  See Also:
    Constant Field Values

### FIELD_F

    static final char FIELD_F

  field

  See Also:
    Constant Field Values

### FIELD_G

    static final char FIELD_G

  field

  See Also:
    Constant Field Values

### FIELD_H

    static final char FIELD_H

  field

  See Also:
    Constant Field Values

### FIELD_I

    static final char FIELD_I

  field

  See Also:
    Constant Field Values

### FIELD_J

    static final char FIELD_J

  field

  See Also:
    Constant Field Values

### FIELD_K

    static final char FIELD_K

  field

  See Also:
    Constant Field Values

### FIELD_L

    static final char FIELD_L

  field

  See Also:
    Constant Field Values

### FIELD_M

    static final char FIELD_M

  field

  See Also:
    Constant Field Values

### FIELD_N

    static final char FIELD_N

  field

  See Also:
    Constant Field Values

### FIELD_O

    static final char FIELD_O

  field

  See Also:
    Constant Field Values

### FIELD_P

    static final char FIELD_P

  field

  See Also:
    Constant Field Values

### FIELD_Q

    static final char FIELD_Q

  field

  See Also:
    Constant Field Values

### FIELD_R

    static final char FIELD_R

  field

  See Also:
    Constant Field Values

### FIELD_S

    static final char FIELD_S

  field

  See Also:
    Constant Field Values

### FIELD_T

    static final char FIELD_T

  field

  See Also:
    Constant Field Values

### FIELD_U

    static final char FIELD_U

  field

  See Also:
    Constant Field Values

### FIELD_V

    static final char FIELD_V

  field

  See Also:
    Constant Field Values

### FIELD_W

    static final char FIELD_W

  field

  See Also:
    Constant Field Values

### FIELD_X

    static final char FIELD_X

  field

  See Also:
    Constant Field Values

### FIELD_Y

    static final char FIELD_Y

  field

  See Also:
    Constant Field Values

### FIELD_Z

    static final char FIELD_Z

  field

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD